=== debian/changelog ===
sail (0.9.5-1) unstable; urgency=medium

  * New upstream version 0.9.5
    - Update symbols.
    - Update copyright.
  * Update missing dependencies. (Closes: #1060734)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 24 May 2024 21:33:22 +0100

sail (0.9.0+repack-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062882

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 15:41:43 +0000
