## sail 0.9.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -76,6 +76,7 @@
 # Options
 #
 option(SAIL_BUILD_APPS "Build applications." ON)
+option(SAIL_BUILD_BINDINGS "Build the C++ and other bindings." ON)
 option(SAIL_BUILD_EXAMPLES "Build examples." ON)
 option(SAIL_DEV "Enable developer mode. Be more strict when compiling source code, for example." OFF)
 option(SAIL_ENABLE_OPENMP "Enable OpenMP support if it's available in the compiler." ON)
@@ -193,20 +194,20 @@
     set(SAIL_WIN32 ON)
 endif()
 
+if (MINGW)
+    set(SAIL_MINGW ON)
+endif()
+
+if (CYGWIN)
+    set(SAIL_CYGWIN ON)
+endif()
+
+if (APPLE)
+    set(SAIL_APPLE ON)
+endif()
+
 if (UNIX)
     set(SAIL_UNIX ON)
-endif()
-
-if (MINGW)
-    set(SAIL_MINGW ON)
-endif()
-
-if (CYGWIN)
-    set(SAIL_CYGWIN ON)
-endif()
-
-if (APPLE)
-    set(SAIL_APPLE ON)
 endif()
 
 # Codecs & icons paths
@@ -229,7 +230,9 @@
 endif()
 add_subdirectory(src/sail)
 add_subdirectory(src/sail-manip)
-add_subdirectory(src/bindings/sail-c++)
+if (SAIL_BUILD_BINDINGS)
+  add_subdirectory(src/bindings/sail-c++)
+endif()
 
 if (SAIL_BUILD_APPS)
     add_subdirectory(examples/c/sail)
@@ -333,6 +336,7 @@
 message("* Build apps:                   ${SAIL_BUILD_APPS}")
 message("* Build examples:               ${SAIL_BUILD_EXAMPLES}")
 message("* Build SDL example:            ${SAIL_SDL_EXAMPLE}")
+message("* Build bindings:               ${SAIL_BUILD_BINDINGS}")
 message("* Build tests:                  ${BUILD_TESTING}")
 message("* Install PDB files:            ${SAIL_INSTALL_PDB}")
 message("*")
@@ -340,5 +344,3 @@
 message("* SAIL_HAVE_BUILTIN_BSWAP32:    ${SAIL_HAVE_BUILTIN_BSWAP32_DISPLAY}")
 message("* SAIL_HAVE_BUILTIN_BSWAP64:    ${SAIL_HAVE_BUILTIN_BSWAP64_DISPLAY}")
 message("* SAIL_HAVE_OPENMP:             ${SAIL_HAVE_OPENMP_DISPLAY}")
-message("* SAIL_OPENMP_SCHEDULE:         ${SAIL_OPENMP_SCHEDULE}")
-message("* SAIL_OPENMP_FLAGS:            ${SAIL_OPENMP_FLAGS}")
