=== debian/changelog ===
sail (0.9.6-1) unstable; urgency=medium

  * New upstream version 0.9.6
  * Update Standards-Version to 4.7.0

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 14 Oct 2024 21:02:21 +0100
