=== tests/sail-common/CMakeLists.txt ===
sail_test(TARGET bytes-per-line      SOURCES bytes_per_line.c      LINK sail-common)
sail_test(TARGET compare-pixel-sizes SOURCES compare_pixel_sizes.c LINK sail-common)
sail_test(TARGET hash-map            SOURCES hash_map.c            LINK sail-common sail-comparators)
sail_test(TARGET hex-data            SOURCES hex_data.c            LINK sail-common)
sail_test(TARGET iccp                SOURCES iccp.c                LINK sail-common)
sail_test(TARGET integrity           SOURCES integrity.c           LINK sail-common)
sail_test(TARGET load-options        SOURCES load_options.c        LINK sail-common)
sail_test(TARGET malloc              SOURCES malloc.c              LINK sail-common)
sail_test(TARGET meta-data           SOURCES meta_data.c           LINK sail-common sail-comparators)
sail_test(TARGET palette             SOURCES palette.c             LINK sail-common)
sail_test(TARGET save-options        SOURCES save_options.c        LINK sail-common)
sail_test(TARGET utils               SOURCES utils.c               LINK sail-common)
sail_test(TARGET variant             SOURCES variant.c             LINK sail-common)
