=== debian/changelog ===
sail (0.9.7-1build1) plucky; urgency=medium

  * Rebuild against latest jpeg-xl

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 08 Feb 2025 14:44:36 -0500

sail (0.9.7-1) unstable; urgency=medium

  * New upstream version 0.9.7

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 24 Dec 2024 14:02:30 +0000
