=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13), libgif-dev, libjpeg-dev, cmake,
  libpng-dev, libtiff-dev, libavif-dev, libwebp-dev, libjxl-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/HappySeaFox/sail
 Vcs-Browser: https://salsa.debian.org/sudip/sail
 Vcs-Git: https://salsa.debian.org/sudip/sail.git
