=== tests/bindings/c++/CMakeLists.txt ===
sail_test(TARGET can-load-c++       SOURCES can-load.cpp       LINK sail-c++)
sail_test(TARGET iccp-c++           SOURCES iccp.cpp           LINK sail-c++)
sail_test(TARGET image-c++          SOURCES image.cpp          LINK sail-c++)
sail_test(TARGET load-features-c++  SOURCES load_features.cpp  LINK sail-c++)
sail_test(TARGET load-options-c++   SOURCES load_options.cpp   LINK sail-c++)
sail_test(TARGET meta-data-c++      SOURCES meta_data.cpp      LINK sail-c++)
sail_test(TARGET palette-c++        SOURCES palette.cpp        LINK sail-c++)
sail_test(TARGET save-features-c++  SOURCES save_features.cpp  LINK sail-c++)
sail_test(TARGET save-options-c++   SOURCES save_options.cpp   LINK sail-c++)
sail_test(TARGET utils-c++          SOURCES utils.cpp          LINK sail-c++)
sail_test(TARGET variant-c++        SOURCES variant.cpp        LINK sail-c++)
