=== debian/changelog ===
sail (0.9.8-1+deb13u1) trixie; urgency=medium

  * Add upstream patches to fix security vulnerabilities. (Closes: #1112346)
    - CVE-2025-32468
    - CVE-2025-35984
    - CVE-2025-46407
    - CVE-2025-50129
    - CVE-2025-52456
    - CVE-2025-52930
    - CVE-2025-53085
    - CVE-2025-53510

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 02 Nov 2025 21:13:55 +0000

sail (0.9.8-1) unstable; urgency=medium

  * New upstream version 0.9.8
  * Update Standards-Version to 4.7.2

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 06 Apr 2025 12:41:53 +0100
